Get pack method of the entry

- « RarEntry::getHostOs

- RarEntry::getName »

- PHP Manual
- RarEntry
- Get pack method of the entry

# RarEntry::getMethod

(PECL rar >= 0.1)

RarEntry::getMethod — Get pack method of the entry

### Description

public RarEntry::getMethod(): int

RarEntry::getMethod() returns number of the method used when adding current archive entry.

### Parameters

This function has no parameters.

### Return Values

Returns the method number or `false` on error.

### Examples

Example #1 RarEntry::getMethod() example

    <?php

    $rar_file = rar_open('example.rar') or die("Failed to open Rar archive");

    $entry = rar_entry_get($rar_file, 'Dir/file.txt') or die("Failed to find such entry");

    echo "Method number: " . $entry->getMethod();

    ?>